/* Style of Academic Website */

/****** GENERAL STYLE ******/
/* definition of different colors */
:root{
	--palette-main-dark: #4A267D;
	--palette-main-medium: #6745C4;
	--palette-main-light: #CAF0F8;
	--palette-main-text: white;
	--palette-second-dark: #FFDEAC;
	--palette-second-medium: #FFEFD6;
	--palette-second-light: white;
}

html {
	font-family: Georgia;
	background: var(--palette-second-dark);
}

/* links for non-navigation links */
a {
	color: black;
}

a:hover {
	color: var(--palette-main-dark);
}

/* Image border settings */
img {
	border: 3px solid var(--palette-main-dark);
}

table {
	width: 100%;
}

/****** STYLE OF NAVIGATIONAL SIDEBAR *****/
/* General body style */
body {
	display: flex;
	margin: 0%;
	min-height: 100vh; /* Minimimum height 100% of viewport height */
	padding: 0%;
}

/* Spacing between text and edge of device */
div.nav {
	padding: 0.5%;
}

/* Width of page */
div.nav.content {
	width: 82%;
	background: var(--palette-second-dark);
}

/* navigational bar */
div.nav.bar {
	background: var(--palette-main-dark);
	width: 15%;
	color: var(--palette-main-text);
}

/* links to pages in bar settings */
ul.nav-links{
	display: block;
	list-style-type: none;
	padding-left: 0;
}

ul.nav-links li{
	padding: 0 0 5% 0;
}

/* link styling */
ul.nav-links a {
	display: inline-block;
	font-size: large;
	text-decoration: none;
	color: var(--palette-main-text);
}

ul.nav-links a:hover {
	color: var(--palette-main-light);
}

/****** STYLING FOR HOME PAGE ******/
/* general styling for each div on page */
.home {
	background: var(--palette-second-medium);
	padding: 0;
	margin: 0 0 1% 0;
}

/* styling of header */
header.home.head{
	display: flex;
	flex-direction: row;
}

/* indent of content */
div.home h2, h3, h4, h5, h6, p, div.pii, table{
	margin-left: 1%;
}

/* personal information on header */
div.pii {
	width: 80%;
}

/* headshot settings */
div.headshot{
	width: 20%;
	padding: 0.5% 1% 0 0;
}

/* pull up header title/name */
div.pii h1{
	margin-top: 1%;
	margin-bottom: 0;
}

/* font size for second heading */
div.pii h2 {
	font-size: large;
	margin-bottom: 0;
}

/* list in header */
div.pii ul {
	list-style-type: none;
	margin-top: 1%;
	padding-left: 2%;
}

div.home.bio p, h2, h3 {
	padding-bottom: 1%;
	padding-top: 0%;
	margin-bottom: 0%;
	margin-top: 0%;
}

/****** STYLING FOR OTHER PAGEs ******/
/* general styling for each div on page */
.page {
	background: var(--palette-second-medium);
	padding: 0;
	margin: 0 0 0% 0;
}

/* styling of header */
header.page.head{
	display: flex;
	flex-direction: row;
}

/* indent of content */
div.page h2, h3, h4, h5, h6, div.pageInfo, table{
	margin-left: 1%;
}
div.pageInfo p {
	margin-left: 0%;
}

/* publications row highlight */
div.pubs tr:hover {
	background-color: var(--palette-second-light);
}

div.pubs table {
	padding-right: 1%;
}

/* paper recommendation settings */
div.recc h4 {
	margin: 0% 0% 0% 1%;
}

div.recc {
	margin-top: 1%
}

div.recc p {
	margin: 1% 1% 0% 2%;
}

/* tutorial page styling */
div.tutorial p{
	margin: 0% 0% 1% 2%;
}

div.tamarin h2, h3 {
	padding-bottom: 0%;
	padding-top: 1%;
}

div.tamarin p {
	margin-top: 0.5%;
}

div.tamarin pre {
	margin-top: 0%;
	margin-bottom: 0%;
}

/* current research styling */
div.project p {
	margin-left: 2%
}

div.project h4, h5 {
	margin: 0% 0% 1% 1%;
}

div.project h5 {
	font-style: italic;